Subject: Re: git checkout --theirs fails

From: Phil Susi <[email-masked]>
Date: Wed, 16 Mar 2016 08:45:57 -0400

On 3/15/2016 5:47 PM, Junio C Hamano wrote:
> would fail when the path file/name is unmerged and does not have
> stage #3 entry, wouldn't it?  So with ".", unless all paths that
> match that pathspec (i.e. all available files) are either merged
> (i.e. without conflict) or have stage #3 entry, it is expected that
> the command would fail consistently to the case where a pathspec
> "file/name" that happens to match only one path is given, and that
> is the behaviour Phil saw, I would think.

Right... why is this though?  Why doesn't it just check out those files
that *do* have a #3 entry?  And also why the nonsense about switching
branches when you don't specify any path or branch?